List messages in a conversation
GET
/v1/conversations/{convID}/messagesAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
convIDstringrequiredConversation ID
Query parameters
limitinteger<int32>Results per page
min 1 · max 100 · default: 50
cursorstringCursor for pagination
directionstringPagination direction
default: "before"
Allowed:
afterbeforeResponses
200OK
itemsMessageItem[] | nullrequiredShow propertiesHide properties
Array of
MessageItemchannel_idstringrequiredcontentanyrequiredconversation_idstring | nullrequiredcreated_atstringrequireddelivered_atstring | nullrequireddirectionstringrequirederrorstring | nullrequirederror_codestring | nullrequiredexternal_message_idstring | nullrequiredfailed_atstring | nullrequiredidstringrequiredmax_retriesinteger<int32>requiredmetadataanyrequiredorganization_idstringrequiredprovider_message_idstring | nullrequiredqueued_atstring | nullrequiredread_atstring | nullrequiredreply_previewReplyPreviewItemShow propertiesHide properties
has_resolved_contentbooleanrequiredmessage_idstringprovider_message_idstringsender_labelstringtextstringrequiredretry_countinteger<int32>requiredsender_phonestring | nullrequiredsending_atstring | nullrequiredsent_atstring | nullrequiredsent_bystring | nullrequiredsent_viastring | nullrequiredstatusstringrequiredto_phonestringrequiredtypestringrequiredupdated_atstringrequiredmetaPaginationMetarequiredShow propertiesHide properties
cursorstringhas_morebooleanrequiredlimitinteger<int64>requirednext_cursorstringoffsetinteger<int64>totalinteger<int64>400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/conversations/string/messages"const response = await fetch("/v1/conversations/string/messages", {
method: "GET"
});import requests
response = requests.get(
"/v1/conversations/string/messages",
)Response
{
"items": [
{
"channel_id": "string",
"content": "string",
"conversation_id": "string",
"created_at": "string",
"delivered_at": "string",
"direction": "string",
"error": "string",
"error_code": "string",
"external_message_id": "string",
"failed_at": "string",
"id": "string",
"max_retries": 0,
"metadata": "string",
"organization_id": "string",
"provider_message_id": "string",
"queued_at": "string",
"read_at": "string",
"reply_preview": {
"has_resolved_content": true,
"message_id": "string",
"provider_message_id": "string",
"sender_label": "string",
"text": "string"
},
"retry_count": 0,
"sender_phone": "string",
"sending_at": "string",
"sent_at": "string",
"sent_by": "string",
"sent_via": "string",
"status": "string",
"to_phone": "string",
"type": "string",
"updated_at": "string"
}
],
"meta": {
"cursor": "string",
"has_more": true,
"limit": 0,
"next_cursor": "string",
"offset": 0,
"total": 0
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}